stages:
  - build
  - deploy

image: registry.gitlab.com/fnux/ungleich-images/staticcms-ci:latest
variables:
  BUILDDIR: "build/"

build:
  stage: build
  script:
    - make build
  artifacts:
    expire_in: 12 hours
    paths:
      - "build/"

deploy:
  stage: deploy
  only:
    - master
  environment:
    name: production
    url: https://ungleich.ch/
  before_script:
    # Configure the SSH Agent
    - eval $(ssh-agent -s)
    - echo "$CD_SSH_PRIVATE_KEY" | tr -d '\r' | ssh-add - > /dev/null
    - mkdir -p ~/.ssh
    - echo "$CD_SSH_SERVER_HOSTKEYS" > ~/.ssh/known_hosts
    - chmod 644 ~/.ssh/known_hosts
  script:
    - make deploy
